C# Class Revit.SDK.Samples.NewOpenings.CS.Profile

Base class of ProfileFloor and ProfileWall contain the profile information and can make matrix to transform point to 2D plane
Afficher le fichier Open project: AMEE/revit Class Usage Examples

Protected Properties

Свойство Type Description
m_appCreator Autodesk.Revit.Creation.Application
m_commandData Autodesk.Revit.UI.ExternalCommandData
m_dataProfile Autodesk.Revit.DB.Element
m_docCreator Autodesk.Revit.Creation.Document
m_face List

Méthodes publiques

Méthode Description
Draw2D ( Graphics graphics, Pen pen, Matrix4 matrix4 ) : void

Draw profile of wall or floor in 2D

DrawOpening ( List points, ToolType type ) : void

Abstract method to create Opening

GetFaceBounds ( ) : System.Drawing.PointF[]

Get Face Bounds

GetFaces ( Autodesk elem ) : List>

Get edges of element's profile

Profile ( Autodesk elem, ExternalCommandData commandData ) : System

Constructor

To2DMatrix ( ) : Matrix4

Get a matrix which can transform points to 2D

ToCenterMatrix ( ) : Matrix4

Get a matrix which can move points to origin

WallMatrix ( ) : Matrix4

Wall matrix

Private Methods

Méthode Description
GetFaceNormal ( List face ) : Vector4

Get Face Normal

GetNeedFace ( List faces ) : List

Get First Face

GetWallFace ( List faces ) : List

Get wall face

Method Details

Draw2D() public méthode

Draw profile of wall or floor in 2D
public Draw2D ( Graphics graphics, Pen pen, Matrix4 matrix4 ) : void
graphics System.Drawing.Graphics form graphic
pen System.Drawing.Pen pen use to draw line in pictureBox
matrix4 Matrix4 matrix used to transform points between 3d and 2d.
Résultat void

DrawOpening() public abstract méthode

Abstract method to create Opening
public abstract DrawOpening ( List points, ToolType type ) : void
points List
type ToolType
Résultat void

GetFaceBounds() public méthode

Get Face Bounds
public GetFaceBounds ( ) : System.Drawing.PointF[]
Résultat System.Drawing.PointF[]

GetFaces() public méthode

Get edges of element's profile
public GetFaces ( Autodesk elem ) : List>
elem Autodesk Selected element
Résultat List>

Profile() public méthode

Constructor
public Profile ( Autodesk elem, ExternalCommandData commandData ) : System
elem Autodesk Selected element
commandData ExternalCommandData ExternalCommandData
Résultat System

To2DMatrix() public méthode

Get a matrix which can transform points to 2D
public To2DMatrix ( ) : Matrix4
Résultat Matrix4

ToCenterMatrix() public méthode

Get a matrix which can move points to origin
public ToCenterMatrix ( ) : Matrix4
Résultat Matrix4

WallMatrix() public méthode

Wall matrix
public WallMatrix ( ) : Matrix4
Résultat Matrix4

Property Details

m_appCreator protected_oe property

Application creator
protected Autodesk.Revit.Creation.Application m_appCreator
Résultat Autodesk.Revit.Creation.Application

m_commandData protected_oe property

command data
protected ExternalCommandData,Autodesk.Revit.UI m_commandData
Résultat Autodesk.Revit.UI.ExternalCommandData

m_dataProfile protected_oe property

Wall or Floor element
protected Element,Autodesk.Revit.DB m_dataProfile
Résultat Autodesk.Revit.DB.Element

m_docCreator protected_oe property

Document creator
protected Autodesk.Revit.Creation.Document m_docCreator
Résultat Autodesk.Revit.Creation.Document

m_face protected_oe property

geometry object [face]
protected List m_face
Résultat List